#ifndef MINORI_CORE_TIME_H_
#define MINORI_CORE_TIME_H_

#include <cstdint>
#include <string>
namespace Time {

class Duration {
public:
	Duration(int64_t l);
	int64_t InSeconds();
	int64_t InMinutes();
	int64_t InHours();
	int64_t InDays();
	std::string AsRelativeString();

private:
	int64_t length;
};

int64_t GetSystemTime();

}; // namespace Time

#endif // MINORI_CORE_TIME_H_